package mysqltoolkit;

our $VERSION = '1053';

1;

=pod

=head1 NAME

mysqltoolkit - Essential command-line utilities for MySQL.

=head1 DESCRIPTION

mysqltoolkit, or MySQL Toolkit, is a collection of command-line utilities that
provide missing functionality for MySQL.  Some of the tools implement lacking
server functionality, such as online consistency checks for master/slave
replication; others are client-side utilities such as a query profiler.

The following tools are included:

   $Revision: 1053 $
   mysql-archiver-1.0.1
   mysql-deadlock-logger-1.0.4
   mysql-duplicate-key-checker-1.1.1
   mysql-find-0.9.5
   mysql-heartbeat-1.0.1
   mysql-parallel-dump-0.9.10
   mysql-parallel-restore-0.9.0
   mysql-query-profiler-1.1.5
   mysql-show-grants-1.0.3
   mysql-slave-delay-1.0.1
   mysql-slave-restart-1.0.1
   mysql-table-checksum-1.1.16
   mysql-table-sync-0.9.7
   mysql-visual-explain-1.0.3

=over


=item mysql-archiver

Archive rows from a MySQL table into another table or a file. See L<mysql-archiver>.

=item mysql-checksum-filter

Filter checksums from mysql-table-checksum. See L<mysql-checksum-filter>.

=item mysql-deadlock-logger

Extract and log MySQL deadlock information. See L<mysql-deadlock-logger>.

=item mysql-duplicate-key-checker

Find possible duplicate indexes and foreign keys on
MySQL tables. See L<mysql-duplicate-key-checker>.

=item mysql-find

Find MySQL tables and execute actions, like GNU find. See L<mysql-find>.

=item mysql-heartbeat

Monitor MySQL replication delay. See L<mysql-heartbeat>.

=item mysql-parallel-dump

Dump sets of MySQL tables in parallel. See L<mysql-parallel-dump>.

=item mysql-parallel-restore

Load files into MySQL in parallel. See L<mysql-parallel-restore>.

=item mysql-profile-compact

Compact the output from mysql-query-profiler. See L<mysql-profile-compact>.

=item mysql-query-profiler

Execute SQL statements and print statistics, or measure
activity caused by other processes. See L<mysql-query-profiler>.

=item mysql-show-grants

Canonicalize and print MySQL grants so you can effectively
replicate, compare and version-control them. See L<mysql-show-grants>.

=item mysql-slave-delay

Make a MySQL slave server lag behind its master. See L<mysql-slave-delay>.

=item mysql-slave-restart

Watch and restart MySQL replication after errors. See L<mysql-slave-restart>.

=item mysql-table-checksum

Perform an online replication consistency check, or
efficiently checksum MySQL tables on one or many servers. See L<mysql-table-checksum>.

=item mysql-table-sync

Efficiently synchronize data between two MySQL tables. See L<mysql-table-sync>.

=item mysql-visual-explain

Format EXPLAIN output as a tree. See L<mysql-visual-explain>.

=back

=head1 INSTALLATION

Strictly speaking these tools require no installation; you should be able to
run them stand-alone.  However, on UNIX-ish systems you can use the standard
Perl installation sequence:

   cd <package directory>
   perl Makefile.PL
   make install

=head1 SYSTEM REQUIREMENTS

You need Perl, DBI, DBD::mysql, and some core packages that ought to be
installed in any reasonably new version of Perl.

=head1 BUGS

If you find bugs, need features, etc please use the bug tracker, forums, and
mailing lists at http://sourceforge.net/projects/mysqltoolkit.

=head1 COPYRIGHT, LICENSE AND WARRANTY

This program is copyright (c) 2007 Baron Schwartz and others.  Feedback and
improvements are welcome.

THIS PROGRAM IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, version 2; OR the Perl Artistic License.  On UNIX and similar
systems, you can issue `man perlgpl' or `man perlartistic' to read these
licenses.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 59 Temple
Place, Suite 330, Boston, MA  02111-1307  USA.

=head1 AUTHOR

See the individual program's documentation for details.

=head1 VERSION

This manual page documents Distrib 1053 $Revision: 534 $.
